summaryrefslogtreecommitdiff
path: root/VA
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-11-27 15:19:42 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-11-27 15:19:42 +0100
commit75285b31e024f7fe3b87bca8de4b761cd7df3aa7 (patch)
tree8be523aa7f9a5ced622d36fa8aa21f5fa5441bb6 /VA
parent53762e189a5efaa279ccd978ad52b27c4721566d (diff)
VA: revert prim benchmarks to original configurations; host-specific logs
Diffstat (limited to 'VA')
-rwxr-xr-xVA/run-paper-strong-full.sh27
-rwxr-xr-xVA/run-paper-strong-rank.sh6
-rwxr-xr-xVA/run-paper-weak.sh6
-rwxr-xr-xVA/run.sh30
4 files changed, 61 insertions, 8 deletions
diff --git a/VA/run-paper-strong-full.sh b/VA/run-paper-strong-full.sh
new file mode 100755
index 0000000..c0d8510
--- /dev/null
+++ b/VA/run-paper-strong-full.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks VA strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 is not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 167772160 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "log-prim-strong-full-$(hostname).txt"
diff --git a/VA/run-paper-strong-rank.sh b/VA/run-paper-strong-rank.sh
index a2e0bcf..433d039 100755
--- a/VA/run-paper-strong-rank.sh
+++ b/VA/run-paper-strong-rank.sh
@@ -14,8 +14,7 @@ echo "prim-benchmarks VA strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# >64 are not part of upstream config space
-for nr_dpus in 128 1 4 16 64; do
+for nr_dpus in 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
@@ -23,4 +22,5 @@ for nr_dpus in 128 1 4 16 64; do
fi
done
done
-) | tee log-paper-strong-rank.txt
+echo "Completed at $(date)"
+) | tee "log-prim-strong-rank-$(hostname).txt"
diff --git a/VA/run-paper-weak.sh b/VA/run-paper-weak.sh
index 96589fc..7c2d78a 100755
--- a/VA/run-paper-weak.sh
+++ b/VA/run-paper-weak.sh
@@ -14,8 +14,7 @@ echo "prim-benchmarks VA weak (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# upstream does not include 256 and 512 in config space
-for nr_dpus in 512 256 1 4 16 64; do
+for nr_dpus in 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
@@ -23,4 +22,5 @@ for nr_dpus in 512 256 1 4 16 64; do
fi
done
done
-) | tee log-paper-weak.txt
+echo "Completed at $(date)"
+) | tee "log-prim-weak-rank-$(hostname).txt"
diff --git a/VA/run.sh b/VA/run.sh
index d99287b..dbe11d7 100755
--- a/VA/run.sh
+++ b/VA/run.sh
@@ -8,19 +8,44 @@ set -e
# -e: number of timed iterations
# -i: input size (number of elements, not number of bytes!)
+if false; then
(
echo "prim-benchmarks VA (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
+for nr_dpus in 8 64; do
for nr_tasklets in 8 12 16 20 24; do
# 2621440 run-paper-weak
# 167772160 run-paper-strong-full (needs at least 20 DPUs)
for i in 2048 4096 8192 16384 65536 262144 1048576 2621440 167772160; do
for dt in CHAR SHORT INT32 INT64 FLOAT DOUBLE; do
echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} WITH_ALLOC_OVERHEAD=0 WITH_LOAD_OVERHEAD=0 WITH_FREE_OVERHEAD=0; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 50 -i ${i} -x 1 || true
+ fi
+ done
+ done
+ done
+done
+echo "Completed at $(date)"
+) | tee "log-$(hostname)-ntasklets.txt"
+fi
+
+(
+
+echo "prim-benchmarks VA (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# 2621440 run-paper-weak
+# 167772160 run-paper-strong-full (needs at least 20 DPUs)
+for i in 2048 4096 8192 16384 65536 262144 1048576 2621440 167772160; do
+ for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048 2304 2542; do
+ for nr_tasklets in 8 12 16; do
+ for dt in CHAR SHORT INT32 INT64 FLOAT DOUBLE; do
+ echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
timeout --foreground -k 1m 30m bin/host_code -w 0 -e 50 -i ${i} -x 1 || true
fi
@@ -28,4 +53,5 @@ for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
done
done
done
-) | tee "log-$(hostname).txt"
+echo "Completed at $(date)"
+) | tee "log-$(hostname)-ndpus.txt"